딜라이트닷넷

IE8 위에 한컴 설치하지 마세요

09.12.02 16:59
혹시 어느 날 갑자기 인터넷익스플로러8이 떡실신(?) 되는 일이 벌어지신 분 계십니까? 혹시 그렇다면 방금 전에 아래아한글 2007을 설치하셨는지 생각해보세요. 며칠 전 저도 이와 같은 증상을 겪었습니다. 집에 있는 넷북에 한글 2007을 설치하니 IE8이 계속 오류에 허덕이더군요. IE8이 열리지 않으니 파이어폭스를 내려 받을 수도 없었습니다. 우여곡절 끝에 겨우겨우 파이어폭스를 다운 받아 위기를 넘겼습니다. 인터넷 검색을 해 보니 많은 분들이이런 오류 때문에 고생을 하셨더군요. 물론 각자 해결책도 찾으신 분들도 많습니다. 어떤 분은 눈물을 머금고 IE7으로 돌아가신 분도 있더군요. 한글과컴퓨터와 한국MS에 이 문제에 대해 문의했습니다. 양측의 진단은 같았습니다. 그런데 흥미로운 것은 두 회사가 같은 진단, 같은 해결책을 제시하면서도 약간은 책임을 서로에게 미루는 경향이 있는 것 같습니다.  양측이 어떤 답변을 해 왔는지 살펴볼까요? 아래는 한컴측의 답변입니다. [오류 증상]- IE 8.0이 설치되어 있는 시스템에 한컴 오피스(단품)을 설치합니다.- IE를 실행하면 "탭을 복구하였습니다."라는 메시지가 계속 표시되면서 IE를 사용할 수 없습니다.- 경우에 따라 mshtml.dll 파일에 오류가 발생하여 IE를 실행하지 못하는 경우가 있습니다.[오류 원인]한컴 오피스 설치 마스터에 MS에서 제공한 모듈(JScript.dll)을 설치하고 있는데,설치되는 버전이 5.6으로 IE 8.0에 포함되어 있는 5.8버전의 하위 버전이라 발생되는 것으로 확인되었습니다.(한컴 오피스가 설치되어 있는 상태에서 IE 8.0을 설치할 경우 문제는 발생되지 않습니다.)[대응 방안]MS에서 관련 모듈을 배포할 계획이 없는 관계로, 기존에 사용자에게 배포된 마스터의 경우 IE 8.0을 재 설치하는 방법 외에는 대응 방안이 없습니다. - 마스터 변경 : JScript.dll 설치 관련 모듈이 수정된 마스터로 변경 MS가 정보를 공유하지 않아 이런 문제가 생겼다는 뉘앙스가 느껴지십니까? 그럼 이번엔 MS의 답변을 보시죠. 원인 및 현재 상황jscript.dll과 vbscript.dll 파일 버전이 낮아 발생하는 문제라고 보입니다. Internet Explorer 8에서는 Jscript 5.8 버전을 기본으로 사용하기 때문이며, 따라서 일부 응용 프로그램 등에서 5.8 미만 낮은 버전의 Jscript를 설치할 경우 인식에 어려움이 나타날 수 있습니다.타사 소프트웨어가 Script 파일 등의 시스템 파일을 변경하는 것은 허가되지 않고 Vista부터는 시스템 파일 및 폴더를 보호하기 때문에 이러한 상황은 XP에서만 발생하고 있습니다. 한글과 컴퓨터에서도 이에 대해 공지사항을 통해 고객들에게 안내하고 있으며 마이크로소프트도 현재 이 상황을 인지, 본사 측에 보고한 상태입니다.  권고사항 1)     jscript.dll와 vbscript.dll 두 파일을 정상적인 다른 PC에서 복사 후 재설치 2)     현재의 IE8 제거 후 XP , Vista 용 IE 8 재설치 : 기술지원본부의 지원안내사항 (http://support.microsoft.com/kb/972016) 참고   한컴측이 허가되지 않은 행위를 했기 때문이라는 뉘앙스입니다. 역시 각자의 입장에 따라 세상이 다르게 보이는 것은 만고불변의 진리인가 보군요.